Ryzom - Bug # 95

Status: Closed Priority: Low

Author: Enoril Category: OS: GNU/Linux
Created: 09/10/2008 Assignee:

Updated: 09/30/2010 Due date:

Subject: Crash when compiling rev262

Description

When compiling Nel (make cmd), an error occur (after more of 1 hour of compiling) in file:

/root/nel/samples/net/login_system/client.cpp

client.cpp: In function «int main(int, char**)»:

client.cpp:113: erreur: «authenticate» is not a member of «<NLNET::CLoginClient»
client.cpp:117: erreur: «ShardList» is not a member of «<NLNET::CLoginClient»
client.cpp:118: erreur: «ShardList» is not a member of «<NLNET::CLoginClient»
client.cpp:120: erreur: «ShardList» is not a member of «<NLNET::CLoginClient»
client.cpp:120: erreur: «ShardList» is not a member of «<NLNET::CLoginClient»
client.cpp:120: erreur: «ShardList» is not a member of «<NLNET::CLoginClient»
client.cpp:137: erreur: «wantToConnectToShard» is not a member of «<NLNET::CLoginClient»
make[3]: *** [client.o] Erreur 1

OS: GNU/Linux - Ubuntu 8.04 - Hardy Heron
Based on SVN Revision r262

History

#1 - 09/11/2008 12:02 am - kervala

Thanks a lot for your report, vl did a bug update today, did you try to compile NeL with last SVN changes ?

If yes, this problem has to be fixed :)

#2 - 09/11/2008 12:02 am - kervala

- Target version set to Version 0.7.0

#3 - 09/11/2008 12:04 am - kervala

Oops, | didn't see your revision.

#4 - 09/11/2008 12:05 am - kervala

- Assignee set to kervala

#5 - 09/11/2008 08:04 am - vi

The samples are not working anymore.

They have to be changed to work.

Honestly the login system is used by Ryzom so we cannot move opennel login system to nel or ryzom will not compile anymore.
So someone have to modify samples.

OR you can ./configure --without-samples since samples are not mandatory

#6 - 09/11/2008 01:19 pm - kaetemi

Why not just put the opennel login thingy in there, but with a different class name? =)

#7 - 09/11/2008 05:21 pm - vi

kaetemi wrote:

Why not just put the opennel login thingy in there, but with a different class name? =)

It's possible indeed. there's the same problem with CI18N class that is not the same and | kept the one used by ryzom to make it compile.

#8 - 09/17/2008 04:23 pm - kervala
- Priority changed from Normal to Low

#9 - 11/25/2008 09:39 am - kervala
- Assignee deleted (kervala)

#10 - 05/11/2009 03:36 pm - sfb
- Status changed from New to Closed

#11 - 05/11/2009 07:31 pm - kervala
- % Done changed from 0 to 100

#12 - 09/29/2010 09:10 pm - kervala
- Project changed from NeL to Ryzom
- Category changed from Build to Build

- Target version deleted (Version 0.7.0)

#13 - 09/30/2010 11:29 am - kervala
- Target version set to Version 0.7.0

#14 - 09/30/2010 11:46 am - kervala
- Category changed from Build to OS: GNU/Linux
